API Reference
Log In
API Reference

Create Accounts

Allows you to create a digital account.

Authentication is mandatory.
Consent is required.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🏦 Accounts

📢 Considerations

  • The supported accounts are simplified accounts, which have a variation in type depending on the customer's identification document.
  • The currency should be sent in ISO 4217 format, e.g. "USD" for US dollars.
  • The opening amount is nominal and will not be reflected in the balance until the first deposit is made.

📖 Example Requests

Below you will find the body of four sample JSON requests:

  • Example 1: Account creation in the Nicaragua Core.
  • Example 2: Account creation in the Costa Rica Core.
  • Example 3: Account creation in the Panamá Core.
  • Example 4: Account creation in the Honduras Core.
  • Example 5: Account creation in the República Dominicana Core.
{  
    "branch_id": 6000,  
    "label": "Account NIO OpenBanking",  
    "balance": {  
        "currency": "NIO",  
        "amount": 100.00  
    },  
    "user_id": 100200,  
    "product_code": "AM01",
    "source_system": "Prisma"
}
{  
    "branch_id": 6000,  
    "label": "Account COL OpenBanking",  
    "balance": {  
        "currency": "COL",  
        "amount": 1000.00  
    },  
    "user_id": 100200,  
    "product_code": "S001"
}
{  
    "branch_id": 6000,  
    "label": "Account USD OpenBanking",  
    "balance": {  
        "currency": "USD",  
        "amount": 100.00  
    },  
    "user_id": 100200,  
    "product_code": "HN01"
}
{  
    "branch_id": 6000,  
    "label": "Account HNL OpenBanking",  
    "balance": {  
        "currency": "HNL",  
        "amount": 100.00  
    },  
    "user_id": 100200,  
    "product_code": "L212"
}
{
    "branch_id": 20200005,
    "label": "AHORRO DIGITAL USD",
    "balance": {
        "currency": "USD",
        "amount": 10.00
    },
    "user_id": 4547,
    "product_code": "AD34"
}

JSON response body fields:

NameDescriptionType
branch_idCode of the branch where the account is registered.string
labelLabel or alias to be given to the account (full customer name by default).string
balanceAccount balance data.object
balance.currencyAccount Currency, Use ISO 4217 alpha-3 codes.string
balance.amountNominal amount of first deposit to account.number
user_idCustomer number.number
product_codeProduct Code.string
account_idAccount id.string
bank_idSource bank code.string
local_ibanLocal iban number.string

Path Params
string
enum
required
Defaults to BLNI

Description: Defines the source bank code.

Allowed:
Body Params
int64
required
Defaults to 6000

Description: Branch Id.
Required: BLPA, BLHN, BLRD

string
required
Defaults to Account NIO OpenBanking

Description: Label or alias to be given to the account (full customer name by default).
Size:30.

balance
object
required

Description: Balance.

string
required
Defaults to 100200

Description: Customer Id.

string
required
Defaults to AM01

Description: Product Code.
Size: 6.
Catalog: Account Types.

string
Defaults to Prisma

Description: Defines the source system for the account onboarding request in SalesForce. Applies only for Nicaragua (BLNI).
Size:50.

int32
Defaults to 12345

Description: Employer Number.
Applies to: BLRD.

boolean
Defaults to false

Description: Indicates if the product is payroll type.
Applies to: BLRD.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json